API ReferenceEcosystems
Sync ecosystem
Roles
admindts-provider
POST
/v1/ecosystems/syncSynchronizes all configured consumptions and integrations by retrieving the most recent trust information. Analytic events
- ECOSYSTEM_TENANT_SYNC_ALL_START
- ECOSYSTEM_TENANT_SYNC_ALL_SUCCESS
- ECOSYSTEM_TENANT_SYNC_ALL_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/sync"{
"tenantConfiguration": {
"ecosystems": [
{
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe"
}
]
},
"integrations": [
{
"format": "MATTR",
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy",
"enabled": true
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete ecosystem DELETE
Deletes an ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_DELETE_START * ECOSYSTEM_DELETE_SUCCESS * ECOSYSTEM_DELETE_FAIL
Create participant POST
Creates a participant in the requested ecosystem. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_CREATE_START * ECOSYSTEM_PARTICIPANT_CREATE_SUCCESS * ECOSYSTEM_PARTICIPANT_CREATE_FAIL